describe('login user', () => {
  it('should login and go to home', () => {
    const baseUrl = Cypress.env('CYPRESS_BASE_URL');
    const userEmail = Cypress.env('USER_EMAIL');
    const userPassword = Cypress.env('USER_PASSWORD');
    const loginUrl = `${baseUrl}/login`;

    cy.login(userEmail, userPassword, loginUrl);

    cy.url({ timeout: 10000 }).should('eq', `${baseUrl}/`);
  });
});

describe('login admin',() => {
  it('should login and go to admin home', () => {
    const baseUrl = Cypress.env('CYPRESS_BASE_URL');
    const adminEmail = Cypress.env('ADMIN_EMAIL')
    const userPassword = Cypress.env('USER_PASSWORD');
    const loginUrl = `${baseUrl}/login`;

    cy.login(adminEmail, userPassword, loginUrl);
    cy.url({ timeout: 10000 }).should('eq', `${baseUrl}/admin`);
  });
})


describe('login invalid password',() => {
  it('should not login', () => {
    const baseUrl = Cypress.env('CYPRESS_BASE_URL');
    const adminEmail = Cypress.env('ADMIN_EMAIL')
    const userPassword = '1';
    const loginUrl = `${baseUrl}/login`;

    cy.login(adminEmail, userPassword, loginUrl);
    cy.url({ timeout: 10000 }).should('eq', `${baseUrl}/login`);
    cy.get('.login_errorContainer__C6Hgp').should('be.visible')
  });
})

describe('login invalid email',() => {
  it('should not login', () => {
    const baseUrl = Cypress.env('CYPRESS_BASE_URL');
    const adminEmail = 'globo.email'
    const userPassword = '1';
    const loginUrl = `${baseUrl}/login`;

    cy.login(adminEmail, userPassword, loginUrl);
    cy.url({ timeout: 10000 }).should('eq', `${baseUrl}/login`);
    cy.get('.login_errorContainer__C6Hgp').should('be.visible');
    cy.get('#outlined-email-input-helper-text').should('be.visible');
  });
})
